services:
  field_ui.subscriber:
    class: Drupal\field_ui\Routing\RouteSubscriber
    arguments: ['@entity_type.manager']
    tags:
      - { name: event_subscriber }
  access_check.field_ui.view_mode:
    class: Drupal\field_ui\Access\ViewModeAccessCheck
    arguments: ['@entity_type.manager']
    tags:
      - { name: access_check, applies_to: _field_ui_view_mode_access }
  access_check.field_ui.form_mode:
    class: Drupal\field_ui\Access\FormModeAccessCheck
    arguments: ['@entity_type.manager']
    tags:
      - { name: access_check, applies_to: _field_ui_form_mode_access }
  access_check.field_ui.field_reuse:
    class: Drupal\field_ui\Access\FieldReuseAccessCheck
    autowire: true
    tags:
      - { name: access_check, applies_to: _field_ui_field_reuse_access }
